* {
	font-size: 11px;
}


div.modal-container {
	background-color: rgba(22, 22, 22, 0.8);
	display: none;
	height: 100vh;
	left: 50%;
	position: fixed;
	top: 50%;
	transform: translate(-50%, -50%);
	width: 100vw;
	z-index: 22;
}


div.modal-wrapper {
	display: flex;
	flex-direction: column;
	align-items: center;
	background-color: rgba(0, 0, 0, 1);
	border-radius: 11px;
	color: rgba(255, 255, 255, 1);
	left: 50%;
	margin-inline: auto;
	position: fixed;
	top: 50%;
	transform: translate(-50%, -50%);
	min-width: 22vw;
	height: fit-content;
	max-height: 85vh;
	/* -ms-overflow-style: none; */
	padding: 22px;
	border: 1px solid rgba(222, 222, 222, 1);
	overflow-y: auto;
}


div.modal-wrapper::-webkit-scrollbar {
	width: 11px;
}


div.modal-wrapper::-webkit-scrollbar-track {
	background-color: transparent;
	border-radius: 11px;
}


div.modal-wrapper::-webkit-scrollbar-thumb {
	background-color: rgba(222, 222, 222, 1);
	border-radius: 11px;
	cursor: pointer;
}


.modal-toggle,
.modal-toggle-screen {
	-webkit-animation: slide-in-fwd-center 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	animation: slide-in-fwd-center 0.2s cubic-bezier(0.250, 0.460, 0.450, 0.940) both;
	display: block !important;
}


@-webkit-keyframes slide-in-fwd-center {}


@keyframes slide-in-fwd-center {}


.modal-toggle-screen {
	background-color: transparent !important;
	background-image: url("/img/screen.jpg");
	background-repeat: no-repeat;
	background-size: cover;
	z-index: 88 !important;
}


.modal-toggle-screen > * {
	display: none !important;
}


.modal-wrapper button {
	font-size: 15px;
	padding: 6px 24px;
}
